#!/bin/sh
##########################################################
# Installer ujagames_qt: fleur2 deutsch NAS-Soundserver #
##########################################################

###################################################################################################################

# Programkopf: 
################
echo "----------------------------------------------"
echo "Installation Fleur2 X11/NAS deutsch"
echo "----------------------------------------------"

######################################################
# Subroutinen:
# compiling, linking:
mach_hin()
{
echo "Compilieren, Linken"
echo "--------------------------------------"
make
ret=$?
if [ $ret -ne 0 ] 
then
 echo "Fehler: konnre das Programm nicht compilieren/linken"
 exit 2
fi

echo " Installation erfolgreich "
echo ----------------------------------------
}

# Ende Subroutinen
##########################################################

$path
cd fleur2
workdir=$PWD

echo "Installation Leveleditor "
qmake editor_deu.pro
ret=$?
if [ $ret -ne 0 ]
then
 echo "Fehler: Konnte Makefile nicht generieren! (QTDIR vorhanden?)"
 exit 1
fi
mach_hin

echo "Installation Fleur II "
qmake fleur2_nas_deu.pro
ret=$?
if [ $ret -ne 0 ]
then
 echo "Fehler: Konnte Makefile nicht generieren! (QTDIR vorhanden?)"
 exit 1
fi
mach_hin

echo "lsche temporre Dateien"
echo "--------------------------------------"
for i in $( ls *.o  )
do 
  rm $i
done
for i in $( ls moc*  )
do 
  rm $i
done
rm Makefile
rm nas/moc_lala.cpp

echo "Installation abgeschlossen"
echo "Um das Programm zu starten, zum Directory fleur2 wechseln, ./fleur2 aufrufen"
echo "============================================================================"
exit 0

####################################################################################
